<template>
	<view>
		<cu-custom :isBack="true" style="border-bottom: #EEEEEE 1rpx solid;">
			<block slot="content">
				备注
			</block>
			<block slot="right">
				<view @click="finishClick" class="" style="color: #FC6035; font-size: 32rpx; margin-right: 40rpx;font-weight: 500;">
					完成
				</view>
			</block>
		
		</cu-custom>
		<view style="height: 15rpx;background-color: #F6F6F6;width: 100%;"></view>
		
		<view style="margin:30rpx 35rpx 0rpx 30rpx">
			<view class="" style="position: relative;">
			
			       <u-input v-model="content" placeholder="请输入更多备注" height="240"
			        style="background-color: #FAFAFA;padding: 20rpx;border-radius: 10rpx;font-size: 30rpx;color:#333;border: #EEEEEE 1rpx solid;"
			        maxlength="50" type="textarea" :clearable="false" />
			       <view class="" style="position: absolute;bottom: 20rpx;right: 40rpx;">
			        <text>{{content.length}}</text><text class="color-99">/50</text>
			       </view>
			    </view>
			     
		</view>
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				content:''
			}
		},
		onLoad(options) {
			this.content=options.content
		},
		methods: {
			
			finishClick(){
				if (this.content == undefined || this.content == ""){
					this.$api.msg('内容不能为空')
					return
				}
				
				uni.navigateBack({
					delta: 1
				});
				uni.$emit('query' , this.content);
			}
		}
	}
</script>

<style>
	page{
		background-color: #FFFFFF;
	}
</style>

<style scoped lang="scss">

</style>
